﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace ConsoleApplication1
{

    public struct ContaCorrente
    {
        public string agencia;
        public string numero;
        public string titular;
        public decimal saldo;
    }

    /*
     * 
     * 
     * 
     */
    class GerenciaConta
    {

        const int NUM_CLIENTES = 5;

        // contém o numero atual de clientes
        static int num = 0;

        /**
         * 
         * 
         */
        static void gravarContas(ContaCorrente[] contas)
        {

            // abre o arquivo para gravação
            FileStream arq = new FileStream(@"c:\contas.txt", FileMode.Create);
            
            StreamWriter writer = new StreamWriter(arq);

            // grava o numero de contas
            writer.WriteLine(num);

            // percorre a lista gravando todos os elementos
            // agencia,numero, titular,saldo
            for (int i = 0; i < num; i++)
            {
                writer.WriteLine(contas[i].agencia);
                writer.WriteLine(contas[i].numero);
                writer.WriteLine(contas[i].titular);
                writer.WriteLine(contas[i].saldo);
            }

            writer.Close();

            // fecha o arquivo
            arq.Close();


        }

        /**
         * 
         * 
         */
        static void recuperarContas(ContaCorrente[] contas)
        {
            
            // abre o arquivo para leitura
            FileStream arq = new FileStream(@"c:\contas.txt", FileMode.Open);
            StreamReader reader = new StreamReader(arq);

            // lê o número total de contas
            num = int.Parse(reader.ReadLine());

            // lê todas as contas
            for (int i = 0; i < num; i++)
            {

                contas[i].agencia = reader.ReadLine();
                contas[i].numero = reader.ReadLine();
                contas[i].titular = reader.ReadLine();
                contas[i].saldo = Decimal.Parse(reader.ReadLine());

            }

            // fecha o arquivo de leitura
            reader.Close();

            arq.Close();

        }

        /**
         * 
         * 
         */
        public static void Listar(ContaCorrente[] contas)
        {
            // Lista todas as contas
            Console.WriteLine("Lista todas as contas cadastradas");
            Console.WriteLine("Numero de contas cadastradas: {0}", num);
            /*
            foreach (Conta c in contas)
            {
                Console.WriteLine(c.agencia);
                Console.WriteLine(c.numero);
                Console.WriteLine(c.titular);
                Console.WriteLine(c.saldo);
            }
             */

            decimal total = 0;
            for (int i = 0; i < num; i++)
            {
                Console.WriteLine(contas[i].agencia);
                Console.WriteLine(contas[i].numero);
                Console.WriteLine(contas[i].titular);
                Console.WriteLine(contas[i].saldo);

                total += contas[i].saldo;

            }

            Console.WriteLine("Saldo: {0:C}", total);

        }


        /**
         * 
         * 
         */
        static void Main(string[] args)
        {
            ContaCorrente[] contas = new ContaCorrente[NUM_CLIENTES];
            
            /*
            contas[0].agencia = "1234";
            contas[0].numero = "000001";
            contas[0].titular = "Joao da Silva";
            contas[0].saldo = 123.7M;

            contas[1].agencia = "1234";
            contas[1].numero = "000002";
            contas[1].titular = "Antonio Carlos";
            contas[1].saldo = 341.7M;
            */

            //num = 2;

            //Listar(contas);

            //gravarContas(contas);

            recuperarContas(contas);

            Listar(contas);

        }
    }
}
