﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace ConsoleApplication1
{

  
    /*
     * 
     * 
     * 
     */
    class GerenciaArray
    {
       
        // contém o numero atual de clientes
        static int numElementos = 0;

        /**
         * 
         * 
         */
        static void gravarArray(int[] a)
        {

            // abre o arquivo para gravação
            FileStream arq = new FileStream(@"c:\array.txt", FileMode.Create);
            
            StreamWriter writer = new StreamWriter(arq);


            writer.WriteLine(numElementos);

            // percorre a lista gravando todos os elementos
            // agencia,numero, titular,saldo
            for (int i = 0; i < numElementos; i++)
            {
                writer.WriteLine(a[i]);
            }

            writer.Close();

            // fecha o arquivo
            arq.Close();


        }

        /**
         * 
         * 
         */
        static void recuperarArray(int[] a)
        {
            
            // abre o arquivo para leitura
            FileStream arq = new FileStream(@"c:\array.txt", FileMode.Open);
            StreamReader reader = new StreamReader(arq);
            
            numElementos = int.Parse(reader.ReadLine());

            // lê todas as contas
            for (int i = 0; i < numElementos; i++)
            {

                a[i] = int.Parse(reader.ReadLine());

            }

            // fecha o arquivo de leitura
            reader.Close();

            arq.Close();

        }

        /**
         * 
         * 
         */
        public static void Listar(int[] a)
        {
            
            Console.WriteLine("Numero de contas cadastradas: {0}", numElementos);
                                   
            for (int i = 0; i < numElementos; i++)
            {
                Console.WriteLine("{0:D3}: {1,3}",i,a[i]);
            
            }

        }


        /**
         * 
         * 
         */
        static void Main(string[] args)
        {
            int[] a = new int[100];

            int[] b = new int[100];

            for (int i = 0; i < a.Length; i++)
            {
                a[i] = i + 1;
            }
            
            numElementos = a.Length;

            Listar(b);

            gravarArray(a);

            recuperarArray(a);

            recuperarArray(b);

            Listar(a);

            Listar(b);

        }
    }
}
